------------------------------------------------------------------------------------------
-- UI file
-- Written by Homeopatix
-- 17 avril 2021
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- Initialize datas
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
function CreateMainWindow()
	local windowWidth = 300;
	local heightWind = 450;

	colorUsedFortexte = Turbine.UI.Color.White;
	colorUsedForLines1 = Turbine.UI.Color.Gold;

	FishingHelper=Turbine.UI.Lotro.GoldWindow(); 
	FishingHelper:SetSize(windowWidth, heightWind); 
	FishingHelper:SetText(Strings.PluginName); 
	FishingHelper.Message11=Turbine.UI.Label(); 
	FishingHelper.Message11:SetParent(FishingHelper); 
	FishingHelper.Message11:SetSize(150,10); 
	FishingHelper.Message11:SetPosition(FishingHelper:GetWidth()/2 - 75, FishingHelper:GetHeight() - 18); 
	FishingHelper.Message11:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	FishingHelper.Message11:SetText(Strings.PluginText); 
	FishingHelper:SetZOrder(1);
	FishingHelper:SetMouseVisible(true);
	FishingHelper:SetWantsKeyEvents(true);
	FishingHelper:SetWantsUpdates(true);

	FishingHelper:SetPosition(settings["windowPosition"]["xPos"], settings["windowPosition"]["yPos"]);
	
	FishingHelpererDatas=Turbine.UI.Label(); 
	FishingHelpererDatas:SetParent(FishingHelper); 
	FishingHelpererDatas:SetSize(300,20); 
	FishingHelpererDatas:SetPosition(0, 40); 
	FishingHelpererDatas:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	FishingHelpererDatas:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	FishingHelpererDatas:SetForeColor(Turbine.UI.Color.Lime);
	FishingHelpererDatas:SetText(PlayerName); 

	------------------------------------------------------------------------------------------
	-- box bleu fond
	------------------------------------------------------------------------------------------
	FishingHelpererDatas=Turbine.UI.Label(); 
	FishingHelpererDatas:SetParent(FishingHelper); 
	FishingHelpererDatas:SetSize(windowWidth - 50,36); 
	FishingHelpererDatas:SetPosition(25, 32); 
	FishingHelpererDatas:SetText(""); 
	FishingHelpererDatas:SetBackColor(Turbine.UI.Color(1, .2, .5, .75));
	FishingHelpererDatas:SetZOrder(-2);
	------------------------------------------------------------------------------------------
	-- box bleu cover black
	------------------------------------------------------------------------------------------
	FishingHelpererDatas=Turbine.UI.Label(); 
	FishingHelpererDatas:SetParent(FishingHelper); 
	FishingHelpererDatas:SetSize(windowWidth - 52,34); 
	FishingHelpererDatas:SetPosition(26, 33); 
	FishingHelpererDatas:SetText(""); 
	FishingHelpererDatas:SetBackColor(Turbine.UI.Color.Black);
	FishingHelpererDatas:SetZOrder(-1);


	FishingHelpererFishingRod=Turbine.UI.Label(); 
	FishingHelpererFishingRod:SetParent(FishingHelper); 
	FishingHelpererFishingRod:SetSize(200,20); 
	FishingHelpererFishingRod:SetPosition(50, 100); 
	FishingHelpererFishingRod:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	FishingHelpererFishingRod:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	FishingHelpererFishingRod:SetForeColor(Turbine.UI.Color.White);
	FishingHelpererFishingRod:SetText(Strings.CanneApeche);
	
	FishingHelpererFishingRod1=Turbine.UI.Label(); 
	FishingHelpererFishingRod1:SetParent(FishingHelper); 
	FishingHelpererFishingRod1:SetSize(200,20); 
	FishingHelpererFishingRod1:SetPosition(50, 140); 
	FishingHelpererFishingRod1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	FishingHelpererFishingRod1:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	FishingHelpererFishingRod1:SetForeColor(Turbine.UI.Color.White);
	FishingHelpererFishingRod1:SetText(Strings.MasterNPC);

	FishingHelpererFishingRod2=Turbine.UI.Label(); 
	FishingHelpererFishingRod2:SetParent(FishingHelper); 
	FishingHelpererFishingRod2:SetSize(200,20); 
	FishingHelpererFishingRod2:SetPosition(50, 180); 
	FishingHelpererFishingRod2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	FishingHelpererFishingRod2:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	FishingHelpererFishingRod2:SetForeColor(Turbine.UI.Color.White);
	FishingHelpererFishingRod2:SetText(Strings.Quests);

	TitleDisplayer(FishingHelper, 50, 240, Strings.Fishes, colorUsedFortexte, colorUsedForLines1);

	FishingHelpererFishingRod3=Turbine.UI.Label(); 
	FishingHelpererFishingRod3:SetParent(FishingHelper); 
	FishingHelpererFishingRod3:SetSize(200,20); 
	FishingHelpererFishingRod3:SetPosition(50, 260); 
	FishingHelpererFishingRod3:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	FishingHelpererFishingRod3:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	FishingHelpererFishingRod3:SetForeColor(Turbine.UI.Color.White);
	FishingHelpererFishingRod3:SetText(Strings.NormalFishes);

	FishingHelpererFishingRod4=Turbine.UI.Label(); 
	FishingHelpererFishingRod4:SetParent(FishingHelper); 
	FishingHelpererFishingRod4:SetSize(200,20); 
	FishingHelpererFishingRod4:SetPosition(50, 300); 
	FishingHelpererFishingRod4:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	FishingHelpererFishingRod4:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	FishingHelpererFishingRod4:SetForeColor(Turbine.UI.Color.White);
	FishingHelpererFishingRod4:SetText(Strings.RareFishes);

	FishingHelpererFishingRod5=Turbine.UI.Label(); 
	FishingHelpererFishingRod5:SetParent(FishingHelper); 
	FishingHelpererFishingRod5:SetSize(200,20); 
	FishingHelpererFishingRod5:SetPosition(50, 340); 
	FishingHelpererFishingRod5:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	FishingHelpererFishingRod5:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	FishingHelpererFishingRod5:SetForeColor(Turbine.UI.Color.White);
	FishingHelpererFishingRod5:SetText(Strings.WallFishes);

	FishingHelpererFishingRod6=Turbine.UI.Label(); 
	FishingHelpererFishingRod6:SetParent(FishingHelper); 
	FishingHelpererFishingRod6:SetSize(200,20); 
	FishingHelpererFishingRod6:SetPosition(50, 380); 
	FishingHelpererFishingRod6:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	FishingHelpererFishingRod6:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	FishingHelpererFishingRod6:SetForeColor(Turbine.UI.Color.White);
	FishingHelpererFishingRod6:SetText(Strings.GarbageFishes);


	EscapeKeyHandler();
	PositionChangedWindow();
	ClosingTheWindow();

	FishingHelpererFishingRod.MouseClick = function()
		FishingHelper:SetVisible(false);
		CreateFarmWindow(1);
		settings["isFarmWindowVisible"]["value"] = true;
		FarmWindow:SetVisible(true);
		settings["isWindowVisible"]["value"] = false;
	end
	FishingHelpererFishingRod1.MouseClick = function()
		FishingHelper:SetVisible(false);
		CreateFarmWindow(0);
		settings["isFarmWindowVisible"]["value"] = true;
		FarmWindow:SetVisible(true);
		settings["isWindowVisible"]["value"] = false;
	end
	FishingHelpererFishingRod2.MouseClick = function()
		FishingHelper:SetVisible(false);
		CreateFarmWindow(2);
		settings["isFarmWindowVisible"]["value"] = true;
		FarmWindow:SetVisible(true);
		settings["isWindowVisible"]["value"] = false;
	end
	FishingHelpererFishingRod3.MouseClick = function()
		FishingHelper:SetVisible(false);
		CreateFarmWindow(3);
		settings["isFarmWindowVisible"]["value"] = true;
		FarmWindow:SetVisible(true);
		settings["isWindowVisible"]["value"] = false;
	end
	FishingHelpererFishingRod4.MouseClick = function()
		FishingHelper:SetVisible(false);
		CreateFarmWindow(4);
		settings["isFarmWindowVisible"]["value"] = true;
		FarmWindow:SetVisible(true);
		settings["isWindowVisible"]["value"] = false;
	end
	FishingHelpererFishingRod5.MouseClick = function()
		FishingHelper:SetVisible(false);
		CreateFarmWindow(5);
		settings["isFarmWindowVisible"]["value"] = true;
		FarmWindow:SetVisible(true);
		settings["isWindowVisible"]["value"] = false;
	end
	FishingHelpererFishingRod6.MouseClick = function()
		FishingHelper:SetVisible(false);
		CreateFarmWindow(6);
		settings["isFarmWindowVisible"]["value"] = true;
		FarmWindow:SetVisible(true);
		settings["isWindowVisible"]["value"] = false;
	end
end
